Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu
Interface Response

All Known Subinterfaces:
  Response.Redirect, Response.Render

    public interface Response

A response object signalling to the portal the action to take after an interaction. This object is usually returned after the invocation of a `Action` controller and instructs the aggregator the action to take.

A `Response.Redirect` response instructs the aggregator to make a redirection to a valid URL after the interaction, this kind of response is created using an `ActionContext`: ``

        return context.redirect("http://www.exoplatform.org");

A `Response.Render` response instructs the aggreator to proceed to the render phase of a valid view controller, this kind of response can be created using an `ActionContext`, however the the preferred way is to use a controller companion class that carries method factories for creating render responses.

Type safe `Response.Render` factory method are generated for each view or resource controller methods. The signature of an render factory is obtained by using the same signature of the controller method.

`

        public class MyController {

           @Action
           public Reponse.Render myAction() {
              return MyController_.myRender("hello");
         }

         @View
           public void myRender(String param) {
           }
        }

`

Author:
  Julien Viet

Nested Class Summary
`static interface` | `Response.Redirect` A response instructing to execute an HTTP redirection after the current interaction.
`static interface` | `Response.Render` A response instructing to execute a render phase of a controller method after the current interaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 eXo Platform SAS. All Rights Reserved.